List requests for approvalget https://your-protect-instance.example.com/api/rest/v2/requests/for-approvalThis endpoint returns a list of requests for approval. Required role: RequestApprover.Query ParamscurrencyIDstringFilter on currency ID. Get valid IDs from the currencies endpointtypesarray of stringsFilter on request types. Examples: payment, function_call, ada_delegate, sol_token_burn, xtz_stake ...typesADD stringidsarray of stringsFilter on specific Requests IDs. An empty list will retrieve all request IDs for approvalidsADD stringcursor.currentPagestringBase64-encoded string representing the current window of datacursor.pageRequeststringThe page to request, w.r.t the current page. Can be one of FIRST, PREVIOUS, NEXT, LASTcursor.pageSizestringThe size of the page requested. The handling service should impose a hard limit on thissortOrderstringSet this parameter to ASC to get the addresses sorted in ascending order or DESC to get them in descending order.excludeTypesarray of stringsExclude request types. Examples: cosmos_delegate, hedera_staking, ada_delegate, xlm_offer_buy, xtz_unstake ...excludeTypesADD stringexternalRequestIDsarray of stringsFilter on external request IDexternalRequestIDsADD stringResponses 200A successful response. 400Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing) 401Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource 403Forbidden: indicates that the server understands the request but refuses to authorize it 404Not Found: indicates that the server cannot find the requested resource 500Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request 503Service Unavailable: indicates that the server is not ready to handle the request. defaultAn unexpected error response.Updated about 2 months ago List requests for approvalList requestsDid this page help you?YesNo